html {
	max-width: 768px;
	margin: auto;

	font-family: "Montserrat", sans-serif;
	font-optical-sizing: auto;
	font-weight: weight;
	font-style: normal;
	color: var(--white);
	background-color: var(--black);
	font-size: var(--p);
}

/*Убрать полосу прокрутки у элемента*/
.element::-webkit-scrollbar {
	width: 0;
}

/*Убрать полосу прокрутки для всей страницы*/
::-webkit-scrollbar {
	width: 0;
}

.wrapper {
	position: relative;
}

:root {
	--white: #121212;
	--black: #fff;
	--black-white: #3f3f3f;
	--CTA: #0098fd;
	--p: 1vw;
	--p-mob: 4.5vw;
}

:active,
:hover,
:focus {
	outline: 0;
	outline-offset: 0;
}

::selection {
	background-color: var(--CTA);
	color: var(--black);
}

.modal strong::selection,
.modal li::selection,
.modal p::selection,
.modal a::selection {
	/* background-color: var(--black);
	color: var(--CTA); */
}

.intro {
	width: 100%;
}

h1 {
	position: relative;
	font-size: 9vw;
	font-weight: 900;
	text-transform: uppercase;
	color: var(--CTA);
}

h1 span {
	position: absolute;
	left: 0;
	top: -40px;
	background-color: var(--CTA);
	color: var(--black);
	padding: 4vw 5vw;
	font-size: 5vw;
	line-height: 0;
	font-weight: 800;
}

p {
	padding: 10px 0;
}

a {
	color: var(--CTA);
}

 .privacyPolicy {
	display:block;
} 

form {
	padding-top: 50px;
	margin-bottom: 250px;
}

span {
	color: var(--CTA);
	font-weight: 600;
}

span.description {
	color: var(--black-white);
	font-weight: 400;
	font-size: 4vw;
	display: block;
	padding-top: 2vw;
}

input,
textarea {
	font-family: "Montserrat", sans-serif;
	font-size: var(--p);

	background-color: var(--black);
	color: var(--white);

	/* width: 100%; */
	border: 2px solid var(--black-white);
	transition: all .3s ease;
	border-radius: 5px;
	outline: 0;
	padding: .5vw 1vw;
	resize: none;
}

input[type="checkbox"],
input[type="radio"] {
	accent-color: var(--CTA);
}

input[type="radio"]+label {
	padding-left: 10px;
}

input[type="text"],
input[type="url"],
input[type="number"],
textarea {
	width: 88%;
	padding: 5vw;

}

textarea {
	height: 200px;
}

input:focus,
textarea:focus {
	border-color: var(--CTA);
	color: var(--CTA);
	filter: drop-shadow(0px 0px 5px var(--CTA));
}

.shadow {
	height: 30vh;
	width: 20vw;
	background-color: var(--CTA);
	pointer-events: none;
}

.shadow.top {
	position: absolute;
	top: 0;
	left: 0;
	filter: blur(150px);
}

.shadow.top.p25 {
	top: 25%;
	right: 0;
	left: inherit;
}

.shadow.bottom.p25 {
	bottom: 25%;
	left: 0;
	right: inherit;
}

.shadow.bottom {
	position: absolute;
	bottom: 0;
	right: 0;
	filter: blur(150px);
}

.noise,
.bg {
	position: fixed;
	left: 0;
	top: 0;
	width: 100%;
	height: 100vh;
	z-index: 1000;
	opacity: .1;

	pointer-events: none;
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	pointer-events: none;
}

.noise {
	background-image: url(img/noise.jpg);
}

.bg {
	height: 100%;
	position: absolute;
	background-image: url(img/bg.jpg);
	filter: blur(40px);
}

button {
	background-color: var(--CTA);
	color: var(--black);
	width: 100%;
	border: none;
	font-size: 8vw;
	font-weight: 700;
	text-transform: uppercase;
	transition: all .3s ease;
	padding: 8vw 0;
	line-height: 0;
	border-radius: 5px;
	margin-bottom: 20px;
}

button:disabled {
	opacity: .5;
	background-color: var(--black-white);
}

dotlottie-player {
	width: 90%;
	margin: auto;
	margin-bottom: -6vw;
}

.thank-you-message {
	text-align: center;
	text-transform: uppercase;
	font-size: 7vw;
	font-weight: 700;
}

.thank-you-subheading {
	text-align: center;
	margin-top: -2vw;
}

:root {
	--light: #f0eff3;
	--dark-blue: #1f2029;
	--dark-light: #353746;
	--red: #da2c4d;
	--yellow: #f8ab37;
	--grey: #ecedf3;
}


.checkbox-budget {
	display: none;
}

.for-checkbox-budget span {
	color: var(--black);
}

.checkbox-budget:checked+label,
.checkbox-budget:not(:checked)+label {
	position: relative;
	display: inline-block;
	padding: 0;
	width: 45%;
	font-size: 6vw;
	line-height: 52px;
	font-weight: 700;
	letter-spacing: 1px;
	margin: 0 auto;
	margin-left: 5px;
	margin-right: 5px;
	margin-bottom: 10px;
	text-align: center;
	border-radius: 4px;
	overflow: hidden;
	cursor: pointer;
	text-transform: uppercase;
	color: var(--white);
}

.checkbox-budget:not(:checked)+label {
	background-color: var(--black-white);
	box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
}

.checkbox-budget:checked+label {
	background-color: transparent;
	box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

.checkbox-budget:not(:checked)+label:hover {
	box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

.checkbox-budget:checked+label::before,
.checkbox-budget:not(:checked)+label::before {
	position: absolute;
	content: '';
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	border-radius: 4px;
	background-color: var(--CTA);
	filter: drop-shadow(0px 0px 5px var(--CTA));
	z-index: -1;
}

.checkbox-budget:checked+label span,
.checkbox-budget:not(:checked)+label span {
	position: relative;
	display: block;
}

/* .checkbox-budget:checked+label span::before,
.checkbox-budget:not(:checked)+label span::before {
	position: absolute;
	content: attr(data-hover);
	top: 0;
	left: 0;
	width: 100%;
	overflow: hidden;
	-webkit-text-stroke: transparent;
	text-stroke: transparent;
	-webkit-text-fill-color: var(--white);
	text-fill-color: var(--white);
	color: var(--white);
	-webkit-transition: max-height 0.3s;
	-moz-transition: max-height 0.3s;
	transition: max-height 0.3s;
} */

.checkbox-budget:not(:checked)+label span::before {
	max-height: 0;
}

.checkbox-budget:checked+label span::before {
	max-height: 100%;
}

.checkbox:checked~.section .container .row .col-xl-10 .checkbox-budget:not(:checked)+label {
	background-color: var(--light);
	-webkit-text-stroke: 1px var(--dark-blue);
	text-stroke: 1px var(--dark-blue);
	box-shadow: 0 1x 4px 0 rgba(0, 0, 0, 0.05);
}

/* Стилі для модального вікна */
.modal {
	display: none;
	position: fixed;
	z-index: 1000;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
	position: relative;
	background-color: var(--black);
	margin: 10% auto;
	padding: 20px;
	width: 80%;
	max-width: 500px;
	border-radius: 8px;

	height: 50vh;
	overflow: hidden;
	overflow-y: auto;
}

.modal a {
	color: var(--white);
}

.modal h2 {
	font-size: 1.5vw;
	font-weight: 700;
}

.modal ol {
	color: #fff;
	list-style-type: disc;
	padding-left: 2vw;
}

.modal-content * {
	padding: .5vw .1vw;
}

.close {
	color: var(--white);
	position: fixed;
	top: 10px;
	right: 15px;
	font-size: 4vw;
	cursor: pointer;
}


@media screen and (max-width: 768px) {
	.wrapper {
		padding: 5vw;
	}

	input,
	textarea,
	html {
		font-size: var(--p-mob)
	}

	.bg {
		height: 450vh;
	}

	.modal h2 {
		font-size: 5vw;
		font-weight: 800;
		text-transform: uppercase;
	}

	.modal ol {
		padding-left: 4vw;
	}

	.modal-content * {
		padding: 2vw 0vw;
	}

	.modal-content {
		height: 80vh;
		margin: 20% auto;
	}

	.close {
		font-size: 15vw;
		top: 2vw;
		right: 6vw;
	}
}

@media screen and (min-width: 768px) {

	input,
	textarea,
	html {
		font-size: var(--p)
	}

	h1 span {
		font-size: 1vw;
		padding: 1vw;
	}

	h1 {
		font-size: 3vw;
	}

	span.description {
		font-size: var(--p);
	}

	input[type="text"],
	input[type="url"],
	input[type="number"],
	textarea {
		padding: 1vw;
	}

	.checkbox-budget:checked+label,
	.checkbox-budget:not(:checked)+label {
		font-size: 1vw;
	}

	button {
		font-size: 2vw;
		padding-top: 2vw;
		padding-bottom: 2vw;
		margin-bottom: 50px;
		width: 90%;
	}

	.shadow {
		opacity: .3;
	}
}